Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile
Interface FlatRecordReader

All Known Implementing Classes:
  AnnotationRecordReader, CombinedFlatRecordReader, FlatRecordReader.NullFlatRecordReader, FlatRecordReaderChoice, FlatRecordReaderImpl, FlatRecordReaderPrefilter, RecordCompositionReader, SegmentConcatenationReader

    public interface FlatRecordReader

Nested Class Summary
`static class` | `FlatRecordReader.NullFlatRecordReader`

Field Summary
`static FlatRecordReader` | `NULL`

Method Summary
`int` | `calculateFixedRecordLength(Record parameters, Record currentRecord)`
`void` | `endReadRecords(ServiceContext context, Flow flow, Delimiter[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, RecordReceiver receiver)`
`void` | `readRecord(ServiceContext context, Flow flow, RecordInput recordInput, Delimiter[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, RecordReceiver receiver)`

Field Detail

### NULL

    static final FlatRecordReader NULL

Method Detail

### calculateFixedRecordLength

    int calculateFixedRecordLength(Record parameters,
                                   Record currentRecord)

### readRecord

    void readRecord(ServiceContext context,
                    Flow flow,
                    RecordInput recordInput,
                    Delimiter[] recordDelimiters,
                    int recordDelimiterStart,
                    int recordDelimiterCount,
                    RecordReceiver receiver)

### endReadRecords

    void endReadRecords(ServiceContext context,
                        Flow flow,
                        Delimiter[] recordDelimiters,
                        int recordDelimiterStart,
                        int recordDelimiterCount,
                        RecordReceiver receiver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD